Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

here's the output after trying to run banshee from terminal:

jayjay@jayjay-desktop:~$ banshee

** (/usr/lib/banshee-1/Banshee.exe:7909): WARNING **: The following assembly referenced from /usr/lib/banshee-1/Banshee.Services.dll could not be loaded:
Assembly: glib-sharp (assemblyref_index=11)
Version: 2.12.0.0
Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib/banshee-1/).


** (/usr/lib/banshee-1/Banshee.exe:7909): WARNING **: Could not load file or assembly 'glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.

** (/usr/lib/banshee-1/Banshee.exe:7909): WARNING **: The following assembly referenced from /usr/lib/banshee-1/Banshee.Services.dll could not be loaded:
Assembly: NDesk.DBus (assemblyref_index=14)
Version: 1.0.0.0
Public Key: f6716e4f9b2ed099
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib/banshee-1/).


** (/usr/lib/banshee-1/Banshee.exe:7909): WARNING **: Could not load file or assembly 'NDesk.DBus, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.

Stacktrace:

Native stacktrace:

banshee-1() [0x80c9774]
banshee-1() [0x80f5753]
[0xb783d40c]
banshee-1() [0x80893db]
banshee-1() [0x8061698]
banshee-1() [0x8062e78]
banshee-1() [0x806374f]
banshee-1(mono_runtime_exec_main+0xde) [0x8103e9e]
banshee-1(mono_runtime_run_main+0x15a) [0x810461a]
banshee-1(mono_main+0x18c4) [0x80b2744]
banshee-1() [0x805ad75]
/lib/libc.so.6(__libc_start_main+0xe7) [0xb75b9ce7]
banshee-1() [0x805acb1]

Debug info from gdb:

Could not attach to process. If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try
again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf
ptrace: Operation not permitted.

================================================== ===============
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
================================================== ===============

Aborted
share|improve this question

1 Answer 1

Make sure you have libglib2.0-cil Install libglib2.0-cil and libndesk-dbus1.0-cil Install libndesk-dbus1.0-cil installed.

sudo apt-get install libglib2.0-cil libndesk-dbus1.0-cil
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.